## elvish 0.20.1

=== website/Makefile ===
DST_DIR := ./_dst
PUBLISH_DIR := ./_publish
DOCSET_TMP_DIR := ./_docset_tmp
DOCSET_DST_DIR := ./Elvish.docset

MDS := home.md $(filter-out %/README.md,$(wildcard [^_]*/*.md))
HTMLS := $(MDS:.md=.html)

# Generates the website into $(DST_DIR).
gen: tools/gensite.bin $(HTMLS)
	tools/gensite.bin . $(DST_DIR)
	ln -sf `pwd`/fonts `pwd`/favicons/* $(DST_DIR)/

# Generates docset into $(DOCSET_DST_DIR).
docset: tools/gensite.bin $(HTMLS)
	ELVISH_DOCSET_MODE=1 tools/gensite.bin . $(DOCSET_TMP_DIR)
	tools/mkdocset $(DOCSET_TMP_DIR) $(DOCSET_DST_DIR)

# Synchronizes the generated website into $(PUBLISH_DIR), which is passed to
# rsync and can be a remote place.
publish: gen
	rsync -aLv --delete ./_dst/ $(PUBLISH_DIR)/

check-rellinks: gen
	python3 tools/check-rellinks.py $(DST_DIR)

clean:
	rm -rf tools/*.bin $(HTMLS) $(DST_DIR) $(DOCSET_TMP_DIR) $(DOCSET_DST_DIR)

ifdef TTYSHOT
%.ttyshot.html: %.elvts tools/ttyshot.bin
	tools/ttyshot.bin $(if $(findstring verbose,$(TTYSHOT)),-v,) -o $@ $<
else
%.ttyshot.html:
	@: ttyshot generation disabled by default
endif

.PHONY: gen docset publish check-rellinks clean

# Don't remove intermediate targets
.SECONDARY:

# Rules below have dynamic prerequisite lists, which requires GNU Make's
# .SECONDEXPANSION.
.SECONDEXPANSION:

tools/%.bin: cmd/% $$(wildcard cmd/%/*) go.mod ../go.mod $$(shell tools/cmd-deps ./cmd/%)
	go build -o $@ ./$<

%.html: %.md tools/md2html.bin $$(shell tools/md-deps $$@)
	tools/md2html.bin < $< > $@

=== debian/changelog ===
elvish (0.20.1-1ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 23 Jun 2025 14:18:27 +1000

elvish (0.20.1-1ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Wed, 30 Oct 2024 10:28:17 +0100

elvish (0.20.1-1ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 16 Jul 2024 11:11:19 +0530

elvish (0.20.1-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:48:05 +1100

elvish (0.20.1-1) unstable; urgency=medium

  * New upstream version 0.20.1

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 01 Mar 2024 02:56:04 +0800

=== debian/control ===
Source: elvish
Section: shells
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Shengjing Zhu <zhsj@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-coreos-bbolt-dev,
               golang-github-creack-pty-dev,
               golang-github-google-go-cmp-dev,
               golang-github-mattn-go-isatty-dev,
               golang-github-sourcegraph-jsonrpc2-dev,
               golang-golang-x-sync-dev,
               golang-golang-x-sys-dev,
               procps <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://elv.sh
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/go-team/packages/elvish
Vcs-Git: https://salsa.debian.org/go-team/packages/elvish.git
XS-Go-Import-Path: src.elv.sh
Testsuite: autopkgtest-pkg-go

Package: elvish
Architecture: any
Built-Using: ${misc:Built-Using},
Depends: debianutils (>= 5.6-0.1),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Expressive programming language and versatile interactive shell
 Elvish is a cross-platform shell, supporting Linux, BSDs and Windows.
 It features an expressive programming language, with features like namespace
 and anonymous functions, and a fully programmable user interface with friendly
 defaults. It is suitable for both interactive use and scripting.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

VESRION_SUFFIX := $(DEB_VENDOR)$(subst $(DEB_VERSION_EPOCH_UPSTREAM),,$(DEB_VERSION))
GOLDFLAGS := -X src.elv.sh/pkg/buildinfo.BuildVariant=$(VESRION_SUFFIX)

export ELVISH_TEST_TIME_SCALE := 20
export DH_GOLANG_EXCLUDES := \
	$(filter-out cmd/elvish,$(wildcard cmd/*)) \
	website examples \
	pkg/md/mdrun
export DH_GOLANG_INSTALL_EXTRA := \
	$(wildcard */*/*.elv */*/*/*.elv */*/*.elvts */*/*/*.elvts) \
	pkg/md/spec/spec.json \
	pkg/mods/doc/fakepkg

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

override_dh_auto_configure:
	dh_auto_configure
	mkdir -p _build/src/src.elv.sh/vendor/pkg.nimblebun.works/
	mv _build/src/src.elv.sh/go-lsp _build/src/src.elv.sh/vendor/pkg.nimblebun.works/

override_dh_auto_build:
	 dh_auto_build -- -ldflags "$(GOLDFLAGS)"

override_dh_auto_install:
	dh_auto_install -- --no-source

## elvish 0.21.0

=== Makefile ===
ELVISH_MAKE_BIN ?= $(or $(GOBIN),$(shell go env GOPATH)/bin)/elvish$(shell go env GOEXE)
ELVISH_MAKE_BIN := $(subst \,/,$(ELVISH_MAKE_BIN))
ELVISH_MAKE_PKG ?= ./cmd/elvish

default: test most-checks get

# This target emulates the behavior of "go install ./cmd/elvish", except that
# the build output and the main package to build can be overridden with
# environment variables.
get:
	mkdir -p $(shell dirname $(ELVISH_MAKE_BIN))
	go build -o $(ELVISH_MAKE_BIN) $(ELVISH_MAKE_PKG)

# Run formatters on Go and Markdown files.
fmt:
	find . -name '*.go' | xargs goimports -w
	find . -name '*.go' | xargs gofmt -s -w
	find . -name '*.md' | xargs go run src.elv.sh/cmd/elvmdfmt -w -width 80

# Run unit tests, with race detection if the platform supports it.
test:
	go test $(shell ./tools/run-race.elv) ./...
	cd website; go test $(shell ./tools/run-race.elv) ./...

# Generate a basic test coverage report, and open it in the browser. The report
# is an approximation of https://app.codecov.io/gh/elves/elvish/.
cover:
	go test -coverprofile=cover -coverpkg=./pkg/... ./pkg/...
	./tools/prune-cover.sh .codecov.yml cover
	go tool cover -html=cover
	go tool cover -func=cover | tail -1 | awk '{ print "Overall coverage:", $$NF }'

# All the checks except check-gen.sh, which is not always convenient to run as
# it requires a clean working tree.
most-checks:
	./tools/check-fmt-go.sh
	./tools/check-fmt-md.sh
	./tools/check-disallowed.sh
	codespell
	go vet ./...
	staticcheck ./...

all-checks: most-checks
	./tools/check-gen.sh

.PHONY: default get fmt test cover most-checks all-checks

=== website/Makefile ===
--- 
+++ 
@@ -28,10 +28,10 @@
 	rm -rf tools/*.bin $(HTMLS) $(DST_DIR) $(DOCSET_TMP_DIR) $(DOCSET_DST_DIR)
 
 ifdef TTYSHOT
-%.ttyshot.html: %.elvts tools/ttyshot.bin
+%-ttyshot.html: %-ttyshot.elvts tools/ttyshot.bin
 	tools/ttyshot.bin $(if $(findstring verbose,$(TTYSHOT)),-v,) -o $@ $<
 else
-%.ttyshot.html:
+%-ttyshot.html:
 	@: ttyshot generation disabled by default
 endif

=== website/slides/Makefile ===
MDS := $(wildcard *.md)
HTMLS := $(MDS:.md=.html)

all: $(HTMLS)

%.html: %.md gen.elv template.html
	./gen.elv $< $@

=== debian/changelog ===
elvish (0.21.0-2) unstable; urgency=medium

  * Backport patch to fix test on s390x

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 15 Aug 2024 17:52:42 +0800

elvish (0.21.0-1) unstable; urgency=medium

  * New upstream version 0.21.0
  * Bump Standards-Version to 4.7.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 15 Aug 2024 03:38:38 +0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: elvish
 Section: shells
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Shengjing Zhu <zhsj@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
@@ -15,7 +14,7 @@
                golang-golang-x-sync-dev,
                golang-golang-x-sys-dev,
                procps <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://elv.sh
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/elvish
@@ -29,7 +28,7 @@
 Depends: debianutils (>= 5.6-0.1),
          ${misc:Depends},
          ${shlibs:Depends},
-Description: Expressive programming language and versatile interactive shell
+Description: Powerful scripting language & versatile interactive shell
  Elvish is a cross-platform shell, supporting Linux, BSDs and Windows.
  It features an expressive programming language, with features like namespace
  and anonymous functions, and a fully programmable user interface with friendly

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%, \
      uversionmangle=s/-rc/~rc/" \
  https://github.com/elves/elvish/tags \
  .*/v?(\d+(?:\.\d+)+(?:-rc\d+)?)\.tar\.gz debian

opts="component=go-lsp" \
 https://github.com/nimblebun/go-lsp/tags \
  .*/v?@ANY_VERSION@\.tar\.gz ignore
